Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 78500

Summary: Installer hanging on upgrade when reading pkg info
Product: [Retired] Red Hat Linux Reporter: Rodney Hopkins <rrhopkins>
Component: anacondaAssignee: Jeremy Katz <katzj>
Status: CLOSED NOTABUG QA Contact: Brock Organ <borgan>
Severity: high Docs Contact:
Priority: high    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2002-11-26 21:09:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Rodney Hopkins 2002-11-24 18:10:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
Everytime I try to upgrade my system to RH8, the installer hangs when it starts 
finding packages to upgrade after making a selection in the 'Upgrade boot 
loader config' screen.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start installer
2. Select Upgrade
3. Select the 'don't review pkgs' option
4. Select 'update boot loader' option, click next.
	

Actual Results:  The installer says 'Finding pkgs to upgrade...' and hangs.  
Going to the Alt-F3 tty the last msg that is displayed 
says 'Using /mnt/source/RedHat/base/comps.xml'

Additional info:

HW info:  running a p3-550 on an asus p3b-f MB with an aha2940uw scsi adapter 
and 192 MB mem.  HDD is a Fujitsu mae3182lp, and I hav a Sony Crx145s CDRW and 
a Toshiba xm-6401ta CDROM, all drives being scsi.

Now ive also performed a media check on all the install disk, each one of them 
passing.  Ive also tried using the anaconda update disk image that ive seen in 
bugzilla with no success also.  And the installer does the same thing when 
installing from either the CDRW or CDROM

Comment 1 Rodney Hopkins 2002-11-24 18:11:40 UTC
i would atttach a traceback or any error msgs, but im not getting any at all.

Comment 2 Jeremy Katz 2002-11-26 21:09:08 UTC
Could you try removing /var/lib/rpm/__db* and try again?

Comment 3 Rodney Hopkins 2002-11-27 12:16:18 UTC
yup, that got it, thank you very much.

Comment 4 Michael Fulbright 2002-12-20 17:38:25 UTC
Time tracking values updated